package com.correx.core.context

import com.correx.core.context.state.ContextState
import com.correx.core.events.types.SessionId
import com.correx.core.sessions.projections.replay.EventReplayer

class DefaultContextRepository(
    private val replayer: EventReplayer<ContextState>
) {
    fun getContextState(sessionId: SessionId): ContextState =
        replayer.rebuild(sessionId)
}
